List External Values

List External Values
Retrieve external source schema for a given form layout schema

Retrieve external source schema for a given form layout schema

Request
URI
POST
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/custom/resource-actions/external-value/list
COPY
Request Body
FormLayoutSchema of type(s) application/json
Required
{
    "layout": {
        "pages": [
            {
                "id": "string",
                "title": "string",
                "sections": [
                    {
                        "id": "string",
                        "title": "string",
                        "collapsed": false,
                        "fields": [
                            {
                                "id": "string",
                                "display": "string",
                                "nestedFields": [
                                    {
                                        "id": "string",
                                        "display": "string",
                                        "styles": "string",
                                        "state": {
                                            "readonlyState": {
                                                "read-only": {}
                                            },
                                            "visibilityState": {
                                                "visible": {}
                                            },
                                            "states": {
                                                "states": {}
                                            }
                                        },
                                        "size": 0,
                                        "submit": false,
                                        "signpostPosition": "string"
                                    }
                                ],
                                "styles": "string",
                                "state": {
                                    "readonlyState": {
                                        "read-only": {}
                                    },
                                    "visibilityState": {
                                        "visible": {}
                                    },
                                    "states": {
                                        "states": {}
                                    }
                                },
                                "size": 0,
                                "submit": false,
                                "signpostPosition": "string"
                            }
                        ],
                        "state": {
                            "readonlyState": {
                                "read-only": {}
                            },
                            "visibilityState": {
                                "visible": {}
                            },
                            "states": {
                                "states": {}
                            }
                        },
                        "isExpandable": false,
                        "isVertical": false
                    }
                ],
                "state": {
                    "readonlyState": {
                        "read-only": {}
                    },
                    "visibilityState": {
                        "visible": {}
                    },
                    "states": {
                        "states": {}
                    }
                }
            }
        ]
    },
    "schema": {
        "fields": {
            "fields": {
                "label": "string",
                "description": "string",
                "signpost": "string",
                "type": {
                    "dataType": "string",
                    "referenceType": "string",
                    "fields": [
                        {
                            "label": "string",
                            "description": "string",
                            "signpost": "string",
                            "type": "FormSchemaFieldType Object",
                            "step": "number",
                            "default": {},
                            "valueList": {},
                            "placeholder": "string",
                            "constraints": {
                                "matchConstraint": {
                                    "match": {}
                                },
                                "constraints": {
                                    "constraints": {}
                                }
                            },
                            "refresh": {
                                "type": "string"
                            },
                            "shortValueName": [
                                "string"
                            ],
                            "id": "string",
                            "valueTree": {}
                        }
                    ],
                    "isMultiple": false
                },
                "step": "number",
                "default": {},
                "valueList": {},
                "placeholder": "string",
                "constraints": {
                    "matchConstraint": {
                        "match": {}
                    },
                    "constraints": {
                        "constraints": {}
                    }
                },
                "refresh": {
                    "type": "string"
                },
                "shortValueName": [
                    "string"
                ],
                "valueTree": {}
            }
        }
    },
    "messages": [
        {
            "fieldId": "string",
            "severity": "string",
            "validationType": "string",
            "message": "string"
        }
    ],
    "options": {
        "externalValidations": [
            {
                "label": "string",
                "source": {
                    "id": "string",
                    "type": "string",
                    "parameters": [
                        {
                            "$type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "parameterMap": {
                                "parameterMap": {}
                            }
                        }
                    ],
                    "isPageable": false,
                    "externalSourceProviderType": "string"
                },
                "target": [
                    "string"
                ]
            }
        ]
    }
}
object
layout
Optional

layout

object
schema
Optional

schema

array of object
messages
Optional

messages

object
options
Optional

options

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with list of external values

Returns ExternalSourceSchemaResponse of type(s) application/json
{
    "externalSourceFormSchemas": [
        {
            "externalSourceId": "string",
            "parentId": "string",
            "elementId": "string",
            "elementType": "string",
            "facet": "string",
            "parameters": [
                {
                    "validatable": false,
                    "name": "string",
                    "isValidatable": false
                }
            ]
        }
    ]
}
array of object
externalSourceFormSchemas
Optional

externalSourceFormSchemas


400

'Bad Request' if FormLayoutSchema is in invalid format

Operation doesn't return any data structure

403

'Forbidden' no xaas manage rights

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/custom/resource-actions/external-value/list